Bug 967011 - Bad/uncomplete login-formats entry in realm list
Bad/uncomplete login-formats entry in realm list
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: realmd (Show other bugs)
7.0
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Stef Walter
David Spurek
:
Depends On: 961442
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-24 10:03 EDT by Patrik Kis
Modified: 2015-03-02 00:27 EST (History)
3 users (show)

See Also:
Fixed In Version: realmd-0.14.3-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 961442
Environment:
Last Closed: 2014-06-13 07:19:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Respect use_fully_qualified_names to populate LoginFormats (7.11 KB, patch)
2013-07-22 10:59 EDT, Stef Walter
no flags Details | Diff

  None (edit)
Description Patrik Kis 2013-05-24 10:03:33 EDT
+++ This bug was initially created as a clone of Bug #961442 +++

Description of problem:
Bad/uncomplete login-formats entry in realm list.

Issue with this test case: https://fedoraproject.org/wiki/QA:Testcase_realmd_join_qualify

realmd.conf with:
[ad.example.com]
fully-qualified-names = no

'getent passwd User' works well, but login-formats entry after realm list shows SECURITY\%U . I think that it should be just %U . 

stefw plans to improve this entry in the future and it should represent all the ways to format a login name.

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1.Reproducer is in test case mentioned above
2.
3.
  
Actual results:
login-formats: SECURITY\%U

Expected results:
login-formats: %U or for example login-formats: SECURITY\%U, %U

Additional info:
Comment 1 Stef Walter 2013-07-22 10:59:26 EDT
Created attachment 776944 [details]
Respect use_fully_qualified_names to populate LoginFormats
Comment 2 Stef Walter 2013-07-22 11:01:28 EDT
Attachment 776944 [details] pushed as 29e9976 - Respect use_fully_qualified_names to populate LoginFormats
Comment 4 Ludek Smid 2014-06-13 07:19:19 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.